CH_SEEK(3)

FUNCTION
ch_seek - Move read/write pointer.

SYNOPSIS
#include <karma_ch.h>

flag ch_seek

(Channel channel, unsigned long position)

DESCRIPTION
This routine will position the read and write pointers for a channel.

channel
    The channel object.

position
    The position (relative to the start of the channel data).

RETURN VALUE
TRUE on success, else FALSE (indicating a seek request beyond the channel limits)

Multi-threading Level
Unsafe.

NOTE
This routine cannot be used for connection channels.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/